WeBid Bug Tracking

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000267WeBidTemplatespublic2011-04-25 19:432011-06-03 09:05
ReporterPleb 
Assigned To 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version1.0.2 
Target VersionFixed in Version1.0.3 
Summary0000267: firefox can't use # in anchor [Solved]
Descriptionhi found out problem with the #top anchor in viewfaqs.tpl

i don work in Firefox and read about it, it's the # there is the problem,

i tried removing it from the code but it make the code open my frontpage instead of jump to top.
TagsNo tags attached.
import_id269
Thread
Attached Files

- Relationships

-  Notes
(0000682)
laura458 (reporter)
2011-04-26 03:15
edited on: 1970-01-01 00:00

It does work in firefox, that's the browser I use and have no problems. The problem is the link itself, the code on the page is wrong.
(0000699)
Pleb (reporter)
2011-04-26 04:08
edited on: 2011-04-26 04:18

ok it work in aurora
and read that with firefox so was thinking it only was firefox.
(0000709)
Pleb (reporter)
2011-05-22 09:04
edited on: 1970-01-01 00:00

got the #misinformation on the net,
problem was not the #
it was the Top
so instead of #Top just use # :)
(0000710)
laura458 (reporter)
2011-05-22 23:37
edited on: 1970-01-01 00:00

I run firefox and the anchor works fine, after I fixed the code, it is in the script itself, it's just written wrong.
(0000711)
Pleb (reporter)
2011-05-22 23:42
edited on: 1970-01-01 00:00

yes its just using the #
mabey i dident wrote it clear so here is the code

line 41 in viewfaq.tpl

            <p style="text-align:right">#top


change it to
            <p style="text-align:right">[B][COLOR=



thats all :)
(0000712)
laura458 (reporter)
2011-05-22 23:47
edited on: 1970-01-01 00:00

This is what I have, and it works fine...

<!-- BEGIN faqs -->
                
  • #{faqs.ID}

  • <!-- END faqs -->
                
    <!-- BEGIN faqs -->
                <a name="{faqs.ID}"></a>
                <h1>{faqs.Q}</h1>
                

    {faqs.A}


                <p style="text-align:right">#top


    <!-- END faqs -->
    (0000713)
    Pleb (reporter)
    2011-05-22 23:52
    edited on: 2011-05-22 23:58

    yes that don't work for me here is my code only difference is the word Top has to be removed in #Top

    <!-- BEGIN faqs -->
  • #{faqs.ID}

  • <!-- END faqs -->

    <!-- BEGIN faqs -->
    <a name="{faqs.ID}"></a>
    <h1>{faqs.Q}</h1>

    {faqs.A}


    <p style="text-align:right">#top


    <!-- END faqs -->
    (0000714)
    laura458 (reporter)
    2011-05-23 00:03
    edited on: 1970-01-01 00:00

    Dahlsvarehus.com wrote

    yes that don't work for me here is my code only difference is the word Top has to be removed in #Top

    <!-- BEGIN faqs -->
  • #{faqs.ID}

  • <!-- END faqs -->

    <!-- BEGIN faqs -->
    <a name="{faqs.ID}"></a>
    <h1>{faqs.Q}</h1>

    {faqs.A}


    <p style="text-align:right">#top


    <!-- END faqs -->


    Weird, I use firefox, IE, safari browsers to test with and with the "TOP" in it works in all of them....
    (0000715)
    Pleb (reporter)
    2011-05-23 00:14
    edited on: 2011-05-23 00:15

    it shows top but it don't move content of page to top
    (0000717)
    Robert Beasley (viewer)
    2011-05-31 15:57
    edited on: 2011-05-31 16:01

    Hi, everyone

    I was having a similar issue in the viewfaq.tpl. Firefox was throwing warnings so I simply changed...


    <!-- BEGIN faqs -->

    • <a href="#{faqs.ID}">{faqs.Q}</a>

    • <!-- END faqs -->


    <!-- BEGIN faqs -->
    <a id="{faqs.ID}"></a>
    <h1>{faqs.Q}</h1>

    {faqs.A}


    <p style="text-align:right">#top


    <!-- END faqs -->


    To


    <!-- BEGIN faqs -->

    • <a href="#faq{faqs.ID}">{faqs.Q}</a>

    • <!-- END faqs -->


    <!-- BEGIN faqs -->
    <a id="faq{faqs.ID}"></a>
    <h1>{faqs.Q}</h1>

    {faqs.A}


    <p style="text-align:right">#top


    <!-- END faqs -->


    This fixed the problem completely. Remember to clear your cache in the admin. :)

    I'm also working on fixing all of the W3C compliance warnings. So far Ive fixed 86 warnings in 27 files.
    When I get all of them, I'm going to send the repairs to renlok.
    (0000718)
    Pleb (reporter)
    2011-05-31 16:40
    edited on: 1970-01-01 00:00

    what version are you using, my code from svn 293 is not like yours

    <!-- BEGIN faqs -->  
                    
  • #{faqs.ID}

  • <!-- END faqs -->
                
    <!-- BEGIN faqs -->
    <a name="{faqs.ID}"></a>
                <h1>{faqs.Q}</h1>
                

    {faqs.A}


                <p style="text-align:right">#top


    <!-- END faqs -->

    - Issue History
    Date Modified Username Field Change
    2015-04-01 13:17 renlok New Issue
    2015-04-01 13:17 renlok import_id => 269
    2015-04-01 13:17 renlok Date Submitted 2015-04-01 13:17 => 2011-04-25 19:43
    2015-04-01 13:17 renlok Last Update 2015-04-01 13:17 => 2011-06-03 09:05


    Copyright © 2000 - 2017 MantisBT Team
    Powered by Mantis Bugtracker